import {NgModule} from '@angular/core';
import {ProTxtPipe} from './pro-txt/pro-txt';
import {CharCodePipe} from './char-code/char-code';
import {FormatTimePipe} from './format-time/format-time';

@NgModule({
    declarations: [
        ProTxtPipe,
        CharCodePipe,
        FormatTimePipe]
    ,
    imports: [],
    exports: [
        ProTxtPipe,
        CharCodePipe,
        FormatTimePipe]
})
export class PipesModule {
}
